{% extends "ajax/game/beyond/beyond.html.twig" %}
{% block title %}
    {{"Erforschung einer beengten Ruine in erstickender Atmosphäre"|trans({}, 'game')|raw}}
{% endblock %}
{% block menu_text %}
    {{ parent() }}
{% endblock %}
{# @var citizen \App\Entity\Citizen #}
{# @var prototype \App\Entity\ZonePrototype #}
{% block content %}
    <div class="row">
        <div class="cell rw-12 zone-beyond explorable-{{ prototype.explorableSkin }}"></div>
    </div>
    <div class="row">
        <div class="cell rw-12">
            <p class="ambiant small">{{ prototype.explorableDescription|trans({},'game') }}</p>
        </div>
    </div>

    {% if zone_zombies > 0 and not escaping %}
        <div class="row">
            <div class="cell rw-12">
                <div class="zone-blocked-warning">
                    <b>{% trans with { '{z}': zone_zombies } from 'game' %}{z} Zombies blockieren den Weg!{% endtrans %}</b><br />
                    <span>
                        {% trans from 'game' %}
                            Du wurdest überrascht und bist jetzt von den Zombies umzingelt! Du kannst flüchten, allerdings wirst du dadurch zusätzlichen Sauerstoff verbrauchen ...
                        {% endtrans %}
                    </span>
                    <div class="row">
                        <div class="padded-small cell rw-6">
                            <button id="escape-btn">
                                <img alt="" src="{{ asset('build/images/icons/small_sprint.gif') }}" />
                                {% trans from 'game' %}Flüchten{% endtrans %}
                                <div class="tooltip help">{{ 'Du kannst einen Teil deines Sauerstoffs zur Flucht verwenden, indem du in die gewünschte Richtung sprintest.'|trans({},'game') }}</div>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    <div class="row">
        <div class="row">
            <div class="padded cell rw-6 rw-md-12">
                <h5>{% trans from 'game' %}Meine Aktionen{% endtrans %}</h5>
                {% if zone.x == 0 and zone.y == 0 %}
                    <br />
                    <button id="exit_ruin_button"  >
                        <img class="icon left" alt="" src="{{ asset('build/images/icons/exit.gif') }}" />
                        {% trans from 'game' %}Gebäude verlassen{% endtrans %}
                        <div class="tooltip help">{{ 'Du kannst dieses Gebäude mit allen gefundenen Ressourcen verlassen.'|trans({},'game') }}</div>
                    </button>
                {% endif %}

                {% if zone.prototype %}
                    {% if shifted %}
                        <br />
                        <button {% if not scavenge %}disabled{% endif%} id="scavenge_button">
                            {% if scavenge %}
                                <img class="icon left" alt="" src="{{ asset('build/images/icons/small_view.gif') }}" />
                            {% else %}
                                <img class="icon left" alt="" src="{{ asset('build/images/icons/lock.gif') }}" />
                            {% endif %}
                            {{ 'Raum durchsuchen'|trans({},'game') }}
                            <div class="tooltip help">{{ 'Verzweifelt suchst du in diesem Raum nach etwas, aber wie lange wirst du an diesem unheilvollen Ort durchhalten?'|trans({},'game') }}</div>
                        </button>
                    {% endif %}
                    <br />
                    <button {% if (zone_zombies > 0 and not escaping) or (zone.locked and not shifted) %}disabled{% endif %} id="{{ shifted ? 'unshift_button' : 'shift_button' }}"  >
                        {% if ((zone_zombies <= 0 or escaping) and not zone.locked) or shifted %}
                            <img class="icon left" alt="" src="{{ asset('build/images/icons/small_enter.gif') }}" />
                        {% else %}
                            <img class="icon left" alt="" src="{{ asset('build/images/icons/lock.gif') }}" />
                        {% endif %}
                        {% if shifted %}
                            {{ 'Raum verlassen'|trans({},'game') }}
                            <div class="tooltip help">{{ 'Du kannst die üblen Gerüche und den Anblick dieses Raumes nicht länger ertragen.'|trans({},'game') }}</div>
                        {% else %}
                            {{ 'Raum betreten'|trans({},'game') }}
                            <div class="tooltip help">{{ 'Du kannst diesen Raum betreten, vielleicht findest du einige interessante Gegenstände.'|trans({},'game') }}</div>
                        {% endif %}
                    </button>

                    {% if zone.locked and not shifted and zone.prototype.keyImprint and zone.prototype.keyItem %}
                        {% if can_imprint %}
                            <button {% if not scavenge %}disabled{% endif %} id="imprint_button">
                                <img class="icon left" alt="" src="{{ asset('build/images/item/item_' ~ zone.prototype.keyImprint.icon ~ '.gif') }}" />
                                {{ 'Abdruck nehmen'|trans({},'game') }}
                            </button>
                        {% endif %}
                        <button id="unlock_button">
                            {{ 'Tür aufschließen'|trans({},'game') }}
                            <div class="tooltip help">{{ 'Mit dem richtigen Schlüssel kannst du diese Tür öffnen.'|trans({},'game') }}</div>
                        </button>
                    {% endif %}
                {% endif %}

                {% embed "ajax/game/actions.html.twig" with {'heroic_action_list': heroics, 'item_action_list': actions, 'recipe_list': recipes, 'scout': false, 'hidden': false} %}
                {% endembed %}
            </div>

            <div class="padded cell rw-6 rw-md-12">
                <h5><span class="float-right link" x-ajax-href='{{ path('exploration_dashboard') }}'>{{'Aktualisierung'|trans({}, 'game')}}</span>{% trans from 'game' %}Meine objekte{% endtrans %}</h5>
                {% embed "ajax/game/inventory.html.twig" with {'size': rucksack_size, 'items': rucksack.items, 'hidden': false, 'sort': true} %}
                    {% block class %}rucksack{% endblock %}
                    {% block title %}{% trans from 'game' %}Rucksack{% endtrans %}{% endblock %}
                {% endembed %}
                    <button id="drop-all-button" {% if rucksack.items|length == 0 %}disabled{% endif %}>{% trans from 'game' %}Rucksack auf dem Boden ausleeren{% endtrans %}</button>
                    {% embed "ajax/game/inventory.html.twig" with {'size': 0, 'items': floorItems, 'hidden': false} %}
                        {% block class %}desert{% endblock %}
                        {% block title %}{% trans from 'game' %}Am Boden{% endtrans %}{% endblock %}
                    {% endembed %}
            </div>
        </div>
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/actions.js.twig" %}{% endembed %};
        {% embed "scripts/inventory.js.twig" %}{% endembed %};

        handleItems(
            document.querySelectorAll('.rucksack>.item[x-item-id]:not(.locked)'),
            '{{ path('beyond_ruin_item_controller') }}',
            'down', '{{ path('exploration_dashboard') }}'
        );

        handleItems(
            document.querySelectorAll('#drop-all-button'),
            '{{ path('beyond_ruin_item_controller') }}',
            'down-all', '{{ path('exploration_dashboard') }}'
        );

        handleItems(
            document.querySelectorAll('.desert>.item[x-item-id]:not(.locked)'),
            '{{ path('beyond_ruin_item_controller') }}',
            'up', '{{ path('exploration_dashboard') }}'
        );

        handleHeroicActions(
            document.querySelectorAll('ul.heroic_actions li[x-action-id]:not([disabled])'),
            '{{ path('beyond_ruin_heroic_controller') }}', '{{ path('exploration_dashboard') }}'
        );

        handleActions(
            document.querySelectorAll('ul.actions li[x-action-id][x-provoking-id]:not([disabled])'),
            '{{ path('beyond_ruin_action_controller') }}', '{{ path('exploration_dashboard') }}'
        );

        handleActionPopups( document.querySelectorAll('ul.actions>li[x-target-definition]') );
        handleActionPopups( document.querySelectorAll('ul.heroic_actions>li[x-target-definition]') );

        handleRecipes(
            document.querySelectorAll('ul.actions>li[x-recipe-id]:not([disabled])'),
            '{{ path('beyond_ruin_recipe_controller') }}', '{{ path('exploration_dashboard') }}'
        );

        {% if zone.x == 0 and zone.y == 0 %}
            $.html.addEventListenerAll( '#exit_ruin_button', 'click', function() {
                $.ajax.easySend( '{{ path('beyond_ruin_enter_desert_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                    } );
            } );
        {% endif %}

        {% if zone.prototype %}
            {% if not zone.locked and not shifted %}
                $.html.addEventListenerAll( '#shift_button', 'click', function() {
                    $.ajax.easySend( '{{ path('beyond_ruin_room_enter_controller') }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('exploration_dashboard') }}', true);
                        } );
                } );
            {% endif %}
            {% if shifted %}
                $.html.addEventListenerAll( '#unshift_button', 'click', function() {
                    $.ajax.easySend( '{{ path('beyond_ruin_room_leave_controller') }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('exploration_dashboard') }}', true);
                        } );
                } );
            {% endif %}
        {% endif %}

        {% if zone.locked and not shifted and zone.prototype.keyImprint and zone.prototype.keyItem %}
            {% if scavenge and can_imprint %}
                $.html.addEventListenerAll( '#imprint_button', 'click', function() {
                    $.ajax.easySend( '{{ path('beyond_ruin_imprint_controller') }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('exploration_dashboard') }}', true);
                        } );
                } );
            {% endif %}
            $.html.addEventListenerAll( '#unlock_button', 'click', function() {
                $.ajax.easySend( '{{ path('beyond_ruin_unlock_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('exploration_dashboard') }}', true);
                    } );
            } );
        {% endif %}

        {% if scavenge %}
            $.html.addEventListenerAll( '#scavenge_button', 'click', function() {
                $.ajax.easySend( '{{ path('beyond_ruin_scavenge_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('exploration_dashboard') }}', true);
                    } );
            } );
        {% endif %}

        {% if zone_zombies > 0 and not escaping %}
            $.html.addEventListenerAll( '#escape-btn', 'click', function() {
                if (confirm('{{ 'Diese Aktion kostet dich Sauerstoff, trotzdem flüchten?'|trans({},'game')|e('js') }}'))
                    $.ajax.easySend( '{{ path('beyond_ruin_escape_controller') }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('exploration_dashboard') }}', true);
                    } );
            } );
        {% endif %}

    </script>
{% endblock %}
